module QueryBindExample where

import BaseXClient hiding (query)

query :: String
query = "declare variable $name external; for $i in 1 to 10 return element { $name } { $i }"

main :: IO ()
main = withSession "localhost" 1984 "admin" "admin" $ \session ->
  withQuery session query $ \q -> do
    bind "name" "number" "" q
    executeQuery q >>= print
